Package uk.ac.starlink.topcat.plot2

## Interface PlotExporter.IconFactory

- Enclosing class:
    PlotExporter

      public static interface PlotExporter.IconFactory

  Defines an object that can supply an icon for exporting.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.swing.Icon` | `getExportIcon​(boolean forceBitmap)` | Returns an icon for export.

- - ### Method Detail

    - #### getExportIcon

          javax.swing.Icon getExportIcon​(boolean forceBitmap)

      Returns an icon for export.
      Parameters:
        `forceBitmap` - true to force bitmap output of vector graphics, false to use default behaviour
      Returns:
        icon